package com.qmth.qrzk.repository.user.service;

import java.util.List;

import com.qmth.qrzk.repository.user.model.Role;
import com.qmth.qrzk.repository.user.model.UserRole;

public interface IRoleService {
	public List<Integer> getRoleIds(int user_id);
	
	public List<Role> getRoleNames(List<Integer> ls);

	public List<Role> getRolesByUserId(int userId);
	
	public List<Role> getAllRoles();
	
	public void delByUserId(int user_id);
	
	public void insertUserRole(UserRole userRole);
}
